Animation in EJ2 JavaScript Toast control

23 Jun 202313 minutes to read

The toast control supports custom animations for both shows and hide actions from the provided animation option of the Animation library.

The default animation is given as FadeIn for showing the toast and FadeOut for hiding the toast.

The following sample demonstrates some types of animations that suit toast. You can check all the animation effects here.

ej.base.enableRipple(true);

//Initialize Toast component
var toast = new ej.notifications.Toast({
    title: 'Matt sent you a friend request',
    content: 'You have a new friend request yet to accept',
    target: document.body,
    position: { X: 'Right', Y: 'Bottom' },
    animation: { show: { effect: "FadeIn" }, hide: { effect: "FadeOut" } },
});

//Render initialized Toast component
toast.appendTo('#element');

var listObjExpand = new ej.dropdowns.DropDownList({
    index: 0,
    placeholder: 'Select a animate type',
    change: () => { valueChange();  }
});
listObjExpand.appendTo('#showAnimation');

var listObjCollapse = new ej.dropdowns.DropDownList({
    placeholder: 'Select a animate type',
    change: () => { valueChange1();  }
});
listObjCollapse.appendTo('#hideAnimation');

document.getElementById('show_toast').onclick = function () {
    toast.show();
}

function valueChange() {
  toast.animation.show.effect = (listObjExpand.value);
}

function valueChange1() {
  toast.animation.hide.effect = (listObjCollapse.value);
}
toast.show();
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Toast</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link href="index.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="default" style="padding-bottom:75px; width: 35%;">
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Show Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="showAnimation">
                        <option value="FadeIn">Fade In</option>
                        <option value="FadeZoomIn">Fade Zoom In</option>
                        <option value="FadeZoomOut">Fade Zoom Out</option>
                        <option value="FlipLeftDownIn">Flip Left Down In</option>
                        <option value="FlipLeftDownOut">Flip Left Down Out</option>
                        <option value="FlipLeftUpIn">Flip Left Up In</option>
                        <option value="FlipLeftUpOut">Flip Left Up Out</option>
                        <option value="FlipRightDownIn">Flip Right Down In</option>
                        <option value="FlipRightDownOut">Flip Right Down Out</option>
                        <option value="FlipRightUpIn">Flip Right Up In</option>
                        <option value="FlipRightUpOut">Flip Right Up Out</option>
                        <option value="SlideBottomIn">Slide Bottom In</option>
                        <option value="SlideBottomOut">Slide Bottom Out</option>
                        <option value="SlideLeftIn">Slide Left In</option>
                        <option value="SlideLeftOut">Slide Left Out</option>
                        <option value="SlideRightIn">Slide Right In</option>
                        <option value="SlideRightOut">Slide Right Out</option>
                        <option value="SlideTopIn">Slide Top In</option>
                        <option value="SlideTopOut">Slide Top Out</option>
                        <option value="ZoomIn">Zoom In</option>
                        <option value="ZoomOut">Zoom Out</option>
                    </select>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Hide Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <select id="hideAnimation">
                        <option value="FadeIn">Fade In</option>
                        <option value="FadeZoomIn">Fade Zoom In</option>
                        <option value="FadeZoomOut">Fade Zoom Out</option>
                        <option value="FlipLeftDownIn">Flip Left Down In</option>
                        <option value="FlipLeftDownOut">Flip Left Down Out</option>
                        <option value="FlipLeftUpIn">Flip Left Up In</option>
                        <option value="FlipLeftUpOut">Flip Left Up Out</option>
                        <option value="FlipRightDownIn">Flip Right Down In</option>
                        <option value="FlipRightDownOut">Flip Right Down Out</option>
                        <option value="FlipRightUpIn">Flip Right Up In</option>
                        <option value="FlipRightUpOut">Flip Right Up Out</option>
                        <option value="SlideBottomIn">Slide Bottom In</option>
                        <option value="SlideBottomOut">Slide Bottom Out</option>
                        <option value="SlideLeftIn">Slide Left In</option>
                        <option value="SlideLeftOut">Slide Left Out</option>
                        <option value="SlideRightIn">Slide Right In</option>
                        <option value="SlideRightOut">Slide Right Out</option>
                        <option value="SlideTopIn">Slide Top In</option>
                        <option value="SlideTopOut">Slide Top Out</option>
                        <option value="ZoomIn">Zoom In</option>
                        <option value="ZoomOut">Zoom Out</option>
                    </select>
                </div>
            </div>
            <div class="row"> <button class="e-btn" id="show_toast"> Show Toast</button> </div>
        </div>
        <div id="element"></div>
        <br>
        <br>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Animation in React Toast component

13 Apr 202619 minutes to read

The Toast component supports customizable animations for display and dismissal, enhancing the visual feedback of notification appearance and removal. Configure enter and exit animations using standard animation library options. By default, toasts use FadeIn animation when appearing and FadeOut animation when disappearing. Custom animations create smoother user experience and draw attention to important notifications.

Accessibility note: Consider users who prefer reduced motion. Toasts respecting the prefers-reduced-motion media query will minimize or disable animations for accessibility compliance.

[Class-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
class App extends React.Component {
    toastInstance;
    timeOutDelay = 600;
    position = { X: 'Right', Y: 'Bottom' };
    animation;
    style = { paddingTop: '20px' };
    dropDownShowInstance;
    dropDownHideInstance;
    AnimationDB = ['FadeIn', 'Fadeout', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];
    toastCreated() {
        this.toastShow();
    }
    toastShow() {
        setTimeout(() => {
            this.toastInstance.show();
        }, this.timeOutDelay);
    }
    btnClick() {
        this.toastShow();
    }
    valueChange() {
        this.toastInstance.animation.show = { effect: this.dropDownShowInstance.value };
    }
    valueChangeHide() {
        this.toastInstance.animation.hide = { effect: this.dropDownHideInstance.value };
    }
    render() {
        return (<div>
        <ButtonComponent cssClass="e-primary" onClick={this.btnClick = this.btnClick.bind(this)}> Show Toast</ButtonComponent>
        <div className='e-row' style={this.style}>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Show Animation</label>
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => this.dropDownShowInstance = drop} dataSource={this.AnimationDB} placeholder="Select a ProgressBar Color" change={this.valueChange = this.valueChange.bind(this)} index={0}/>
          </div>
        </div>
        <div className='e-row' style={this.style}>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Hide Animation</label>
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => this.dropDownHideInstance = drop} dataSource={this.AnimationDB} placeholder="Select a ProgressBar Color" change={this.valueChangeHide = this.valueChangeHide.bind(this)} index={0}/>
          </div>
        </div>
        <ToastComponent ref={toast => this.toastInstance = toast} title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?' position={this.position} animation={this.animation} showProgressBar='true' created={this.toastCreated = this.toastCreated.bind(this)}/>
      </div>);
    }
}
;
export default App;
import { Effect } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent  } from '@syncfusion/ej2-react-notifications';
import * as React from "react";

class App extends React.Component<{}, {}> {
  public toastInstance: ToastComponent;
  public timeOutDelay: number = 600;
  public position = { X: 'Right', Y: 'Bottom' };
  public animation: { show: { effect: 'SlideRightIn' }, hide: { effect: 'SlideLeftOut' } };
  public style = { paddingTop: '20px' };
  public dropDownShowInstance: DropDownListComponent;
  public dropDownHideInstance: DropDownListComponent;
  public AnimationDB = ['FadeIn', 'Fadeout', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];

  public toastCreated(): void {
    this.toastShow();
  }

  public toastShow() {
    setTimeout(
      () => {
        this.toastInstance.show();
      }, this.timeOutDelay);
  }

  public btnClick(): void {
    this.toastShow()
  }

  public valueChange(): void {
    this.toastInstance.animation.show = { effect: this.dropDownShowInstance.value as Effect };
  }

  public valueChangeHide(): void {
    this.toastInstance.animation.hide = { effect: this.dropDownHideInstance.value as Effect };
  }

  public render() {
    return (
      <div>
        <ButtonComponent cssClass="e-primary" onClick={this.btnClick = this.btnClick.bind(this)}> Show Toast</ButtonComponent>
        <div className='e-row' style={this.style}>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Show Animation</label>
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => this.dropDownShowInstance = drop!} dataSource={this.AnimationDB} placeholder="Select a ProgressBar Color" change={this.valueChange = this.valueChange.bind(this)} index={0} />
          </div>
        </div>
        <div className='e-row' style={this.style}>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Hide Animation</label>
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => this.dropDownHideInstance = drop!} dataSource={this.AnimationDB} placeholder="Select a ProgressBar Color" change={this.valueChangeHide = this.valueChangeHide.bind(this)} index={0} />
          </div>
        </div>
        <ToastComponent ref={toast => this.toastInstance = toast!} title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?' position={this.position} animation={this.animation} showProgressBar='true' created={this.toastCreated = this.toastCreated.bind(this)} />
      </div>
    );
  }
};
export default App;

[Functional-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
function App() {
    let toastInstance;
    let timeOutDelay = 600;
    let position = { X: 'Right', Y: 'Bottom' };
    let animation;
    let style = { paddingTop: '20px' };
    let dropDownShowInstance;
    let dropDownHideInstance;
    let AnimationDB = ['FadeIn', 'Fadeout', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];
    function toastCreated() {
        toastShow();
    }
    function toastShow() {
        setTimeout(() => {
            toastInstance.show();
        }, timeOutDelay);
    }
    function btnClick() {
        toastShow();
    }
    function valueChange() {
        toastInstance.animation.show = { effect: dropDownHideInstance.value };
    }
    function valueChangeHide() {
        toastInstance.animation.hide = { effect: dropDownHideInstance.value };
    }
    return (<div>
        <ButtonComponent cssClass="e-primary" onClick={btnClick.bind(this)}> Show Toast</ButtonComponent>
        <div className='e-row' style={style}>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Show Animation</label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => dropDownShowInstance = drop} dataSource={AnimationDB} placeholder="Select a ProgressBar Color" change={valueChange.bind(this)} index={0}/>
        </div>
        </div>
        <div className='e-row' style={style}>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Hide Animation</label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => dropDownHideInstance = drop} dataSource={AnimationDB} placeholder="Select a ProgressBar Color" change={valueChangeHide.bind(this)} index={0}/>
        </div>
        </div>
        <ToastComponent ref={toast => toastInstance = toast} title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?' position={position} showProgressBar={true} created={toastCreated.bind(this)} animation={animation}/>
    </div>);
}
;
export default App;
import { Effect } from '@syncfusion/ej2-base';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent  } from '@syncfusion/ej2-react-notifications';
import * as React from "react";

function App(){
    let toastInstance: ToastComponent;
    let timeOutDelay: number = 600;
    let position = { X: 'Right', Y: 'Bottom' };
    let animation: { show: { effect: 'SlideRightIn' }, hide: { effect: 'SlideLeftOut' } };
    let style = { paddingTop: '20px' };
    let dropDownShowInstance: DropDownListComponent;
    let dropDownHideInstance: DropDownListComponent;
    let AnimationDB = ['FadeIn', 'Fadeout', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];
  
    function toastCreated(): void {
      toastShow();
    }
  
    function toastShow() {
      setTimeout(
        () => {
          toastInstance.show();
        }, timeOutDelay);
    }
  
    function btnClick(): void {
      toastShow()
    }
  
    function valueChange(): void {
      toastInstance.animation.show = { effect: dropDownHideInstance.value as any}
    }
  
    function valueChangeHide(): void {
      toastInstance.animation.hide = { effect: dropDownHideInstance.value as any };
    }
  
    return (
    <div>
        <ButtonComponent cssClass="e-primary" onClick={btnClick.bind(this)}> Show Toast</ButtonComponent>
        <div className='e-row' style={style}>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Show Animation</label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => dropDownShowInstance = drop!} dataSource={AnimationDB} placeholder="Select a ProgressBar Color" change={valueChange.bind(this)} index={0} />
        </div>
        </div>
        <div className='e-row' style={style}>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label>Hide Animation</label>
        </div>
        <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent ref={drop => dropDownHideInstance = drop!} dataSource={AnimationDB} placeholder="Select a ProgressBar Color" change={valueChangeHide.bind(this)} index={0} />
        </div>
        </div>
        <ToastComponent ref={toast => toastInstance = toast!} title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?'  position={position} showProgressBar={true} created={toastCreated.bind(this)} animation={animation} />
    </div>
    );
};
export default App;

Syncfusion AI Assistant

How can I help you?

Animation in Vue Toast component

7 Jun 202417 minutes to read

The toast component supports custom animations for both shows and hide actions from the provided animation option of the Animation library.

The default animation is given as FadeIn for showing the toast and FadeOut for hiding the toast.

The following sample demonstrates some types of animations that suit toast. You can check all the animation effects here.

<template>
   <div id='app'>
        <div id="default" style="padding-bottom:75px;">
            <div class='row'>
                 <ejs-button ref='showButtonRef' class="e-btn" id="show_toast" v-on:click="showBtnClick">Show Toast</ejs-button>
             </div>
            <div class='row'>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Show Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                     <ejs-dropdownlist ref='showAnimationRef' id='ShowAnimation' :dataSource='animationData' :fields='easeFields'
                        placeholder='Select a animate type' :change='showChange' :value='animationValue'></ejs-dropdownlist>
                </div>
            </div>
            <div class='row'>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Hide Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <ejs-dropdownlist ref='hideAnimationRef' id='HideAnimation' :dataSource='animationData' :fields='easeFields'
                        placeholder='Select a animate type' :change='hideChange' :value='animationValue'></ejs-dropdownlist>
                </div>
            </div>
        </div>
         <ejs-toast ref='elementRef' id='element' :position='position' :animation='animation' title='Matt sent you a friend request' content='You have a new friend request yet to accept'></ejs-toast>
</div>
</template>

<script setup>

import { ToastComponent as EjsToast } from "@syncfusion/ej2-vue-notifications";
import { DropDownListComponent as EjsDropdownlist } from '@syncfusion/ej2-vue-dropdowns';
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { ref, onMounted } from 'vue';

const toastObj = ref(null);

const position =  { X: 'Right', Y: 'Bottom' };
const easeFields = { text: 'Text', value: 'Id' };
const animation = {
    show: { effect: "SlideRightIn" },
    hide: { effect: "SlideLeftOut" },
};
const animationData = [
    { Id: 'FadeIn', Text: 'Fade In' },
    { Id: 'FadeZoomIn', Text: 'Fade Zoom In' },
    { Id: 'FadeZoomOut', Text: 'Fade Zoom Out' },
    { Id: 'FlipLeftDownIn', Text: 'Flip Left Down In' },
    { Id: 'FlipLeftDownOut', Text: 'Flip Left Down Out' },
    { Id: 'FlipLeftUpIn', Text: 'Flip Left Up In' },
    { Id: 'FlipLeftUpOut', Text: 'Flip Left Up Out' },
    { Id: 'FlipRightDownIn', Text: 'Flip Right Down In' },
    { Id: 'FlipRightDownOut', Text: 'Flip Right Down Out' },
    { Id: 'FlipRightUpIn', Text: 'Flip Right Up In' },
    { Id: 'FlipRightUpOut', Text: 'Flip Right Up Out' },
    { Id: 'SlideBottomIn', Text: 'Slide Bottom In' },
    { Id: 'SlideBottomOut', Text: 'Slide Bottom Out' },
    { Id: 'SlideLeftIn', Text: 'Slide Left In' },
    { Id: 'SlideLeftOut', Text: 'Slide Left Out' },
    { Id: 'SlideRightIn', Text: 'Slide Right In' },
    { Id: 'SlideRightOut', Text: 'Slide Right Out' },
    { Id: 'SlideTopIn', Text: 'Slide Top In' },
    { Id: 'SlideTopOut', Text: 'Slide Top Out' },
    { Id: 'ZoomIn', Text: 'Zoom In' },
    { Id: 'ZoomOut', Text: 'Zoom Out' }
];
const animationValue = 'FadeIn';

onMounted(() => {
    toastObj.value = document.getElementById('element').ej2_instances[0];
    toastObj.value.show();
});

const showBtnClick = function(){
    toastObj.value.show();
};

const showChange = function(args){
    toastObj.value.animation.show.effect = args.value;
};

const hideChange = function(args){
    toastObj.value.animation.hide.effect = args.value;
};

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}
#app {
    max-width: 200px;
}
.row {
    margin: 15px;
}
</style>
<template>
   <div id='app'>
        <div id="default" style="padding-bottom:75px;">
            <div class='row'>
                 <ejs-button ref='showButtonRef' class="e-btn" id="show_toast" v-on:click="showBtnClick">Show Toast</ejs-button>
             </div>
            <div class='row'>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Show Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                     <ejs-dropdownlist ref='showAnimationRef' id='ShowAnimation' :dataSource='animationData' :fields='easeFields'
                        placeholder='Select a animate type' :change='showChange' :value='animationValue'></ejs-dropdownlist>
                </div>
            </div>
            <div class='row'>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <label> Hide Animation </label>
                </div>
                <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
                    <ejs-dropdownlist ref='hideAnimationRef' id='HideAnimation' :dataSource='animationData' :fields='easeFields'
                        placeholder='Select a animate type' :change='hideChange' :value='animationValue'></ejs-dropdownlist>
                </div>
            </div>
        </div>
         <ejs-toast ref='elementRef' id='element' :position='position' :animation='animation' title='Matt sent you a friend request' content='You have a new friend request yet to accept'></ejs-toast>
</div>
</template>

<script>

import { ToastComponent } from "@syncfusion/ej2-vue-notifications";
import { DropDownListComponent } from '@syncfusion/ej2-vue-dropdowns';
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';

export default {
name: "App",
components: {
"ejs-button":ButtonComponent,
"ejs-dropdownlist":DropDownListComponent,
"ejs-toast":ToastComponent
},
   data: function(){
        return {
            position: { X: 'Right', Y: 'Bottom' },
            easeFields: { text: 'Text', value: 'Id' },
            animation: {
                show: { effect: "SlideRightIn" },
                hide: { effect: "SlideLeftOut" },
            },
            animationData: [
                { Id: 'FadeIn', Text: 'Fade In' },
                { Id: 'FadeZoomIn', Text: 'Fade Zoom In' },
                { Id: 'FadeZoomOut', Text: 'Fade Zoom Out' },
                { Id: 'FlipLeftDownIn', Text: 'Flip Left Down In' },
                { Id: 'FlipLeftDownOut', Text: 'Flip Left Down Out' },
                { Id: 'FlipLeftUpIn', Text: 'Flip Left Up In' },
                { Id: 'FlipLeftUpOut', Text: 'Flip Left Up Out' },
                { Id: 'FlipRightDownIn', Text: 'Flip Right Down In' },
                { Id: 'FlipRightDownOut', Text: 'Flip Right Down Out' },
                { Id: 'FlipRightUpIn', Text: 'Flip Right Up In' },
                { Id: 'FlipRightUpOut', Text: 'Flip Right Up Out' },
                { Id: 'SlideBottomIn', Text: 'Slide Bottom In' },
                { Id: 'SlideBottomOut', Text: 'Slide Bottom Out' },
                { Id: 'SlideLeftIn', Text: 'Slide Left In' },
                { Id: 'SlideLeftOut', Text: 'Slide Left Out' },
                { Id: 'SlideRightIn', Text: 'Slide Right In' },
                { Id: 'SlideRightOut', Text: 'Slide Right Out' },
                { Id: 'SlideTopIn', Text: 'Slide Top In' },
                { Id: 'SlideTopOut', Text: 'Slide Top Out' },
                { Id: 'ZoomIn', Text: 'Zoom In' },
                { Id: 'ZoomOut', Text: 'Zoom Out' }
            ],
            animationValue: 'FadeIn'
        }
    },
  mounted: function() {
      this.toastObj = document.getElementById('element').ej2_instances[0];
      this.toastObj.show();
  },
  methods: {
      showBtnClick: function(){
          this.toastObj.show();
      },
      showChange: function(args){
          this.toastObj.animation.show.effect = args.value;
      },
      hideChange: function(args){
          this.toastObj.animation.hide.effect = args.value;
      },
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}
#app {
    max-width: 200px;
}
.row {
    margin: 15px;
}
</style>

Syncfusion AI Assistant

How can I help you?

Animation in Angular Toast component

27 Apr 20246 minutes to read

Toasts support custom animations for both shows and hide actions from the provided animation option of Animation library.

Default animation is given as FadeIn for showing the toast and FadeOut for hiding the toast.

The sample demonstrates some types of animation that suits Toast. You can check all the animation effects here.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ToastModule } from '@syncfusion/ej2-angular-notifications'
import { ButtonModule, CheckBoxModule , RadioButtonModule } from '@syncfusion/ej2-angular-buttons'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars'


import { Component, ViewChild } from '@angular/core';

@Component({
imports: [
         ToastModule, ButtonModule, CheckBoxModule , RadioButtonModule, DropDownListModule, DatePickerModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
        <div id="toast_target"></div>
        <div id='sample_container'>
        <div id='container'>

        <div class='row' style="margin: 10px">
          <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label> Show Animation </label>
          </div>
          <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
           <ejs-dropdownlist #dropDownShow (change)="showAnimationChange($event)" id='games' [dataSource]='AnimationShowDB' index='0'>
            </ejs-dropdownlist>
          </div>
        </div>
          <div class='row'  style="margin: 10px">
          <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <label> Hide Animation </label>
          </div>
          <div class="col-xs-6 col-sm-6 col-lg-6 col-md-6">
           <ejs-dropdownlist #dropDownHide (change)="hideAnimationChange($event)" id='games'  [dataSource]='AnimationHideDB' index='0'>
            </ejs-dropdownlist>
          </div>
          <div class='row'  style="margin: 10px">
        <button ejs-button [isPrimary]="true" (click)="btnClick($event)">Show Toast</button>
        </div>
        </div></div>
        <ejs-toast #element (created)="onCreate($event)" [position] = 'position' [animation] = 'animation' >
              <ng-template #title>
                  <div>Matt sent you a friend request</div>
              </ng-template>
              <ng-template #content>
                  <div>Hey, wanna dress up as wizards and ride our hoverboards?</div>
              </ng-template>
    </ejs-toast>
        `
})

export class AppComponent {
    @ViewChild('element') public toastObj: any;
    @ViewChild('dropDownShow') public dropShow: any;
    @ViewChild('dropDownHide') public drophide: any;
    public position = { X: 'Right', Y : 'Bottom' };
    public animation = { show: { effect: 'SlideRightIn' }, hide: { effect: 'SlideLeftOut' }
};
    public AnimationShowDB = ['FadeIn', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];
    public AnimationHideDB = ['Fadeout', 'FadeZoomIn', 'FadeZoomOut', 'FlipLeftDownIn', 'FlipLeftDownOut', 'FlipLeftUpIn', 'FlipLeftUpOut', 'FlipRightDownIn', 'FlipRightDownOut', 'SlideBottomIn', 'SlideBottomOut', 'ZoomIn', 'ZoomOut'];

    onCreate(args: any) {
      this.toastShow();
    }
    btnClick(args: any) {
      this.toastShow();
    }

    showAnimationChange(e: any) {
      this.toastObj.animation.show.effect = this.dropShow.value;
    }

    hideAnimationChange(e: any) {
      this.toastObj.animation.hide.effect = this.drophide.value;
    }

    toastShow() {
          setTimeout(
        () => {
            this.toastObj.show();
        }, 700);
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));